Aller au contenu

Flash journalier KPI (occupancy, ADR, RevPAU…) par établissement

GET
/v1/reporting/daily-flash
curl --request GET \
--url 'https://example.com/v1/reporting/daily-flash?businessDate=2026-06-07&establishmentId=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \
--header 'X-API-Key: <X-API-Key>'
businessDate
required
string format: date
Example
2026-06-07
establishmentId
required
string format: uuid

Flash journalier

Media type application/json
object
data
required
object
establishmentId
required
string format: uuid
businessDate
required
string format: date
unitsAvailable
required
integer
unitsSold
required
integer
occupancyBasisPoints
required

Taux d’occupation en points de base (ex: 7500 = 75.00%)

integer
adrCents
required

ADR moyen hors taxes en centimes

string
revPauCents
required

RevPAU hors taxes en centimes

string
unitRevenueHtCents
required

Revenu total unités HT en centimes

string
noShows
required
integer
overbooked
required
boolean
avgLosNights
number
nullable
Example generated
{
"data": {
"establishmentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"businessDate": "2026-04-15",
"unitsAvailable": 1,
"unitsSold": 1,
"occupancyBasisPoints": 1,
"adrCents": "example",
"revPauCents": "example",
"unitRevenueHtCents": "example",
"noShows": 1,
"overbooked": true,
"avgLosNights": 1
}
}

Non authentifié

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Permission refusée ou périmètre non vérifiable

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Ressource introuvable

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}